<?php
/**
 * Add/Edit Feed Page
 *
 * Allows users to add or edit RSS feeds
 */

include '../start.php';

Security::verifyUser();

$feedId = array_key_exists('id', $_GET) ? $_GET['id'] : '';
$db     = Data::getConnection();

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $isNew = $_POST['id'] == 'new';
    if ($isNew) {
        $result = Feed::add($_POST['url'], $db);
    } else {
        $toEdit = Data::retrieveFeedById($_POST['id'], $db);
        $result = $toEdit ? Feed::update($toEdit, $_POST['url'], $db) : ['error' => "Feed {$_POST['id']} not found"];
    }
    if (array_key_exists('ok', $result)) {
        add_info('Feed saved successfully');
        $feedId = $isNew ? $result['ok'] : $_POST['id'];
    } else {
        add_error($result['error']);
        $feedId = 'error';
    }
}

if ($feedId == 'new') {
    $title = 'Add RSS Feed';
    $feed = [ 'id' => $_GET['id'], 'url' => '' ];
} else {
    $title = 'Edit RSS Feed';
    if ($feedId == 'error') {
        $feed = ['id' => $_POST['id'] ?? '', 'url' => $_POST['url'] ?? ''];
    } else {
        $feed = Data::retrieveFeedById((int) $feedId, $db);
        if (!$feed) {
            http_response_code(404);
            die();
        }
    }
}

page_head($title); ?>
<h1><?=$title?></h1>
<article>
    <form method=POST action=/feed hx-post=/feed>
        <input type=hidden name=id value=<?=$feed['id']?>>
        <label>
            Feed URL
            <input type=url name=url required autofocus value="<?=$feed['url']?>">
        </label><br>
        <button type=submit>Save</button>
    </form>
</article><?php
page_foot();
$db->close();
